# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

## [0.18.0](https://dev.azure.com/dwrdev/_git/projector/branchCompare?baseVersion=GTv0.12.14&targetVersion=GTv0.18.0) (2021-05-13)


### ⚠ BREAKING CHANGES

* This removes all references to a local configuration file

- Adds interactive arguments for agile and repo commands
- Adds command extensions for registering related service provider options
- Updates `ServiceCollection` to have agile, repo and playbook service provider getters rather than the services themselves. This allows for "lazy loading" of services and not initializing unnecessary services
- Adds simulated arguments for agile and repo commands
- Added generic type `TOptions` to `Command`, which specifies the type of CLI options available
- Removed the `config` commands since they only dealt with the `projector.json` configuration
- Normalized option names across the board
- Repo create command only creates one repo at a time, given in option
- Added more configuration in `custom-environment-variables.json` for testing platform-specific functionality
- Organized `ConfigKeys` by section
- Added decorated description to interactive options to included choices or option availability per platform
- Remove deprecated platform-specific models and options
- Updated tests and test utilities
- Updated environment variables for CI test run to reflect changes in `custom-environment-variables.json`

### Features

* Remove local configuration file ([d8fd121](https://dev.azure.com/dwrdev/_git/projector/commit/d8fd121f7e2b6ad77b2c8e999dac3abb408c5c33))
* Support for yaml and small fixes ([fbd6d21](https://dev.azure.com/dwrdev/_git/projector/commit/fbd6d218db90a29b2506dcfc96dbe9cec0a2e157))


### Bug Fixes

* Remove changelog to reset changelog generation ([d3c88d9](https://dev.azure.com/dwrdev/_git/projector/commit/d3c88d96abbbe465dbc2345c689857ebd5eb72eb)), closes [#22268](https://github.com/projector-cli/projector/issues/22268)
* Remove deprecated configuration files ([d581acb](https://dev.azure.com/dwrdev/_git/projector/commit/d581acb51bcd445d159d7ebdceee94e2ba2b7536))
* Update tests to use GitHub configuration ([aa7af62](https://dev.azure.com/dwrdev/_git/projector/commit/aa7af6274b39774bcdcdbec1a35f6071547cf848))
* Use agile template type ID for newly created projects ([7b07607](https://dev.azure.com/dwrdev/_git/projector/commit/7b076073903303e8432389db5026a23e2e174779))

## [0.17.0](https://dev.azure.com/dwrdev/_git/projector/branchCompare?baseVersion=GTv0.12.14&targetVersion=GTv0.17.0) (2021-05-10)


### ⚠ BREAKING CHANGES

* This removes all references to a local configuration file

- Adds interactive arguments for agile and repo commands
- Adds command extensions for registering related service provider options
- Updates `ServiceCollection` to have agile, repo and playbook service provider getters rather than the services themselves. This allows for "lazy loading" of services and not initializing unnecessary services
- Adds simulated arguments for agile and repo commands
- Added generic type `TOptions` to `Command`, which specifies the type of CLI options available
- Removed the `config` commands since they only dealt with the `projector.json` configuration
- Normalized option names across the board
- Repo create command only creates one repo at a time, given in option
- Added more configuration in `custom-environment-variables.json` for testing platform-specific functionality
- Organized `ConfigKeys` by section
- Added decorated description to interactive options to included choices or option availability per platform
- Remove deprecated platform-specific models and options
- Updated tests and test utilities
- Updated environment variables for CI test run to reflect changes in `custom-environment-variables.json`

### Features

* Remove local configuration file ([d8fd121](https://dev.azure.com/dwrdev/_git/projector/commit/d8fd121f7e2b6ad77b2c8e999dac3abb408c5c33))


### Bug Fixes

* Remove changelog to reset changelog generation ([d3c88d9](https://dev.azure.com/dwrdev/_git/projector/commit/d3c88d96abbbe465dbc2345c689857ebd5eb72eb)), closes [#22268](https://github.com/projector-cli/projector/issues/22268)
* Remove deprecated configuration files ([d581acb](https://dev.azure.com/dwrdev/_git/projector/commit/d581acb51bcd445d159d7ebdceee94e2ba2b7536))
* Update tests to use GitHub configuration ([aa7af62](https://dev.azure.com/dwrdev/_git/projector/commit/aa7af6274b39774bcdcdbec1a35f6071547cf848))
* Use agile template type ID for newly created projects ([7b07607](https://dev.azure.com/dwrdev/_git/projector/commit/7b076073903303e8432389db5026a23e2e174779))
